cancel
Showing results for 
Search instead for 
Did you mean: 

wget installation failed

SOLVED
Go to solution
DuKul
Regular Advisor

wget installation failed

Hi all,

I have tried to install wget utility on IA64 11.31.
http://hpux.connect.org.uk/hppd/hpux/Gnu/wget-1.11.4/

I have installed all the dependencies before - db, gdbm, gettext, libiconv, openssl, perl - but still I am getting this error:

#/usr/local/bin/wget
/usr/lib/hpux32/dld.so: Unable to find library '/usr/local/lib/hpux32/libssl.so'.
Killed

Have you any hint?
3 REPLIES
TTr
Honored Contributor
Solution

Re: wget installation failed

You should install wget from the HP software site and not the porting center. It is in
http://h20392.www2.hp.com/portal/swdepot/displayProductInfo.do?productNumber=HPUXIEXP1131
If you are still having library problems, you need to add the path of the libraries that wget needs in the SHLIB_PATH variable.
Steven Schweda
Honored Contributor

Re: wget installation failed

> You should install wget from [...]

Following that link, I see:

Wget A.11.00-1.10.2.002

which doesn't look to me much like wget
1.11.4. Perhaps the questioner was looking
for a more current version. (I would be.)

> http://hpux.connect.org.uk/hppd/hpux/Gnu/wget-1.11.4/

Following that link, I see:

Run-time dependencies: db gdbm
gettext libiconv openssl perl

Which part of "Run-time dependencies" wasn't
clear?

If you have a C compiler, you might have less
trouble building it from the source.

http://www.gnu.org/software/wget/wget.html

If you expect it to deal with URLs
specifying the "https" scheme, then you'd
better get some SSL software installed.
DuKul
Regular Advisor

Re: wget installation failed

use the official depot helped
thnx